# aix_lvg – Manage LVM volume groups on AIX

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Examples
- Status

## Synopsis

- This module creates, removes or resize volume groups on AIX LVM.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

force
boolean

Choices:
- no ←
- yes

Force volume group creation.

pp_size integer |  | The size of the physical partition in megabytes.
pvs list |  | List of comma-separated devices to use as physical devices in this volume group. Required when creating or extending (`present` state) the volume group. If not informed reducing (`absent` state) the volume group will be removed.

state
string

Choices:
- absent
- present ←
- varyoff
- varyon

Control if the volume group exists and volume group AIX state varyonvg `varyon` or varyoffvg `varyoff`.

vg string / required |  | The name of the volume group.

vg_type
string

Choices:
- big
- normal ←
- scalable

The type of the volume group.

## Notes

Note

- AIX will permit remove VG only if all LV/Filesystems are not busy.
- Module does not modify PP size for already present volume group.

## Examples

    - name: Create a volume group datavg
      aix_lvg:
        vg: datavg
        pp_size: 128
        vg_type: scalable
        state: present

    - name: Removing a volume group datavg
      aix_lvg:
        vg: datavg
        state: absent

    - name: Extending rootvg
      aix_lvg:
        vg: rootvg
        pvs: hdisk1
        state: present

    - name: Reducing rootvg
      aix_lvg:
        vg: rootvg
        pvs: hdisk1
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Kairo Araujo (@kairoaraujo)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.